all:
	${PYTHON} Setup.py build_ext --inplace

test:	all
	${PYTHON} run_primes.py 20
	${PYTHON} run_numeric_demo.py
	${PYTHON} run_spam.py
	cd callback; $(MAKE) test

clean:
	@echo Cleaning Demos
	@rm -f *.c *.o *.so *~ core
	@rm -rf build
	@cd callback; $(MAKE) clean
	@cd embed; $(MAKE) clean
